HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   General (http://www.howtoforge.com/forums/forumdisplay.php?f=25)
-   -   PHP-FPM does not parse PHP code (http://www.howtoforge.com/forums/showthread.php?t=61179)

holykim 28th March 2013 03:23

PHP-FPM does not parse PHP code
 
I have installed ISPConfig 3.0.5.1 on one of my servers as a slave refer to the following tutorial "The Perfect Server - CentOS 6.4 x86_64 (Apache2, Dovecot, ISPConfig 3)". For use multiple PHP versions I also installed PHP-FPM with the following tutorial "How To Use Multiple PHP Versions (PHP-FPM & FastCGI) With ISPConfig 3 (CentOS 6.3)".

Both default and additional FastCGI works perfect but PHP-FPM doesn't seem to be working as the below code shows a blank page. PHP-FPM doesn't parse PHP code with some reason but I can not figure it out. Please advise.

PHP Code:

<?php phpinfo(); ?>

Thanks in advance.

Harry

holykim 28th March 2013 04:23

Quote:

Originally Posted by holykim (Post 294853)
I have installed ISPConfig 3.0.5.1 on one of my servers as a slave refer to the following tutorial "The Perfect Server - CentOS 6.4 x86_64 (Apache2, Dovecot, ISPConfig 3)". For use multiple PHP versions I also installed PHP-FPM with the following tutorial "How To Use Multiple PHP Versions (PHP-FPM & FastCGI) With ISPConfig 3 (CentOS 6.3)".

Both default and additional FastCGI works perfect but PHP-FPM doesn't seem to be working as the below code shows a blank page. PHP-FPM doesn't parse PHP code with some reason but I can not figure it out. Please advise.

PHP Code:

<?php phpinfo(); ?>

Thanks in advance.

Harry

I have fixed this issue with the following three steps.
Thanks Lionheart82 for your update at http://www.howtoforge.com/forums/showthread.php?t=61040

1. install mod_fastcgi ( yum install mod_fastcgi )
2. FastCgiWrapper Off in /etc/httpd/conf.d/fastcgi.conf
3. restart Apache.

Hope this will be added to the tutorials.

Thanks.

mattheoh 1st January 2014 20:51

Hi,

I continue this thread 'cause I have a similar issue.
I installed an additional PHP version followinf this tuto : How To Use Multiple PHP Versions (PHP-FPM & FastCGI) With ISPConfig 3 (Ubuntu 13.04)

I m on a Gentoo, but the process is the same...

I just followed the first step for PHP-FPM with PHP 5.3.24
(I had already PHP 5.4 installed and I just wanted ti use the 5.3 for a website)

unfortunately PHP is not parsed too...

I installed mod_fastcgi as written below, and here's my fastcgi.conf :

Code:

<IfModule mod_fastcgi.c>
  AddHandler fastcgi-script .fcgi
  #FastCgiWrapper /usr/lib/apache2/suexec
  FastCgiIpcDir /var/lib/apache2/fastcgi
</IfModule>

If someone have an idea, he's welcome ;-)
thanks per advance


All times are GMT +2. The time now is 22:29.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.